org.apache.cassandra.streaming

## Class StreamEvent.SessionPreparedEvent

- java.lang.Object
- - org.apache.cassandra.streaming.StreamEvent
  - - org.apache.cassandra.streaming.StreamEvent.SessionPreparedEvent

- Enclosing class:
    StreamEvent

      public static class StreamEvent.SessionPreparedEvent
      extends StreamEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.StreamEvent

      `StreamEvent.ProgressEvent, StreamEvent.SessionCompleteEvent, StreamEvent.SessionPreparedEvent, StreamEvent.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SessionInfo` | `session`

    - ### Fields inherited from class org.apache.cassandra.streaming.StreamEvent

      `eventType, planId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionPreparedEvent(java.util.UUID planId, SessionInfo session)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          public final SessionInfo session

  - ### Constructor Detail

    - #### SessionPreparedEvent

          public SessionPreparedEvent(java.util.UUID planId,
                                      SessionInfo session)

Copyright © 2018 The Apache Software Foundation